function p.__get_is_solid() return true end
function p.__get_tex() return "block_default" end

function p.__main()
    set_default_block("s")
    
    --*******************************************
    --*******************************************
    --*******************************************

    --Creating the stick-and-ball data
    --structure for the caves.
    caves_start()

    --Uncomment this to make a cave that connects
    --together nodes that are at most 2 chunks appart
    --(as opposed to 1 chunk appart).
    --Setting the 5x5x5 options makes cave creation slower.
    caves_set_5x5x5()

    --Between 2 and 3 nodes per chunk (random).
    caves_set_num_nodes(2,3)

    --Only 0.01 of nodes are big, the rest are small.
    --Small nodes have radius between 3.0 and 4.3, and
    --large nodes have radius between 17.5 and 18.0.
    caves_set_nodes(0.01, 3.0,4.3, 17.5,18.0)

    --Max dist between two nodes that can be connected
    --with an edge is 20.0 (to go beyound 16.0 for this
    --number, must call caves_set_5x5x5).
    --Only 0.0 of edges are big.
    --Small tubes (around edges) have radius between 1.0 and 2.0.
    --Large tubes have radius between 7.0 and 8.0.
    caves_set_edges(20.0, 0.0, 1.0,2.0, 7.0,8.0)

    caves_end()
    --Now, the stick-and-ball data structure
    --for the caves has been created.

    --*******************************************
    --*******************************************
    --*******************************************

    for x = 0,15 do
    for y = 0,15 do
    for z = 0,15 do
        local close = caves_close_to_node(x,y,z)
            or caves_close_to_edge(x,y,z)
        if close then
            set_pos(x,y,z,"e")
        end
    end end end
end
